<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2021 Workiva-->
<!--r:8bc2353f-51d1-49a0-814e-f7e2f15ed468,g:da3b4644-114f-482b-a21c-5d9cf63567f4-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.cdw.com/role/ConsolidatedBalanceSheets" xlink:type="simple" xlink:href="cdw-20210630.xsd#ConsolidatedBalanceSheets"/>
  <link:calculationLink xlink:role="http://www.cdw.com/role/ConsolidatedBalanceSheets" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesNoncurrent_154ea186-5c4a-4f69-8e7d-83e99fd7f8a5" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_LiabilitiesNoncurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LongTermDebtNoncurrent_bf86fd87-1b48-45d8-ab13-f8afd8f63da8" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_LongTermDebtNoncurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesNoncurrent_154ea186-5c4a-4f69-8e7d-83e99fd7f8a5" xlink:to="loc_us-gaap_LongTermDebtNoncurrent_bf86fd87-1b48-45d8-ab13-f8afd8f63da8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DeferredIncomeTaxLiabilitiesNet_628cdbfe-7782-484d-9cb5-e0ab4004ed9a" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_DeferredIncomeTaxLiabilitiesNet"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesNoncurrent_154ea186-5c4a-4f69-8e7d-83e99fd7f8a5" xlink:to="loc_us-gaap_DeferredIncomeTaxLiabilitiesNet_628cdbfe-7782-484d-9cb5-e0ab4004ed9a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseLiabilityNoncurrent_2f150e9a-1776-4bed-8696-4a0bcc4303db" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OperatingLeaseLiabilityNoncurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesNoncurrent_154ea186-5c4a-4f69-8e7d-83e99fd7f8a5" xlink:to="loc_us-gaap_OperatingLeaseLiabilityNoncurrent_2f150e9a-1776-4bed-8696-4a0bcc4303db" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherLiabilitiesNoncurrent_7701fb1b-19c0-49af-b7ec-3f2cf50ba1e7" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OtherLiabilitiesNoncurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesNoncurrent_154ea186-5c4a-4f69-8e7d-83e99fd7f8a5" xlink:to="loc_us-gaap_OtherLiabilitiesNoncurrent_7701fb1b-19c0-49af-b7ec-3f2cf50ba1e7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AssetsCurrent_7095f53a-b150-4f0d-8144-ccf11848a0cc" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_AssetsCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_ddace8bc-b909-43e0-9b3b-1eb493a0e40c" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_7095f53a-b150-4f0d-8144-ccf11848a0cc" xlink:to="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_ddace8bc-b909-43e0-9b3b-1eb493a0e40c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccountsReceivableNetCurrent_5596e568-d372-425a-8857-c4d74d537491" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_AccountsReceivableNetCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_7095f53a-b150-4f0d-8144-ccf11848a0cc" xlink:to="loc_us-gaap_AccountsReceivableNetCurrent_5596e568-d372-425a-8857-c4d74d537491" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryNet_b8859c2f-83cd-40d8-ac22-cb53f5292bd3" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_InventoryNet"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_7095f53a-b150-4f0d-8144-ccf11848a0cc" xlink:to="loc_us-gaap_InventoryNet_b8859c2f-83cd-40d8-ac22-cb53f5292bd3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherReceivablesNetCurrent_a7050300-20ee-41dc-bdef-44c666e134fb" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OtherReceivablesNetCurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_7095f53a-b150-4f0d-8144-ccf11848a0cc" xlink:to="loc_us-gaap_OtherReceivablesNetCurrent_a7050300-20ee-41dc-bdef-44c666e134fb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PrepaidExpenseAndOtherAssetsCurrent_cfe39370-a5c7-433b-9590-b40bed559ece" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_PrepaidExpenseAndOtherAssetsCurrent"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_7095f53a-b150-4f0d-8144-ccf11848a0cc" xlink:to="loc_us-gaap_PrepaidExpenseAndOtherAssetsCurrent_cfe39370-a5c7-433b-9590-b40bed559ece" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StockholdersEquity_5bcb16cb-aed8-4085-a9bf-924389430c8e" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_StockholdersEquity"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PreferredStockValue_d2d3b969-7fd4-4cb1-b262-93bc22d012c0" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_PreferredStockValue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_5bcb16cb-aed8-4085-a9bf-924389430c8e" xlink:to="loc_us-gaap_PreferredStockValue_d2d3b969-7fd4-4cb1-b262-93bc22d012c0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CommonStockValue_8b83fd7b-8484-45ce-9af4-6d44c4938aac" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_CommonStockValue"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_5bcb16cb-aed8-4085-a9bf-924389430c8e" xlink:to="loc_us-gaap_CommonStockValue_8b83fd7b-8484-45ce-9af4-6d44c4938aac" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AdditionalPaidInCapitalCommonStock_32765f11-c069-4c8f-bb0d-fb9437144a67" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_AdditionalPaidInCapitalCommonStock"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_5bcb16cb-aed8-4085-a9bf-924389430c8e" xlink:to="loc_us-gaap_AdditionalPaidInCapitalCommonStock_32765f11-c069-4c8f-bb0d-fb9437144a67" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RetainedEarningsAccumulatedDeficit_b01915b3-0eb6-4c40-9c97-18c4eb7d069b" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_RetainedEarningsAccumulatedDeficit"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_5bcb16cb-aed8-4085-a9bf-924389430c8e" xlink:to="loc_us-gaap_RetainedEarningsAccumulatedDeficit_b01915b3-0eb6-4c40-9c97-18c4eb7d069b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax_07511080-1af2-431c-a7a3-2783fd51ca11" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_5bcb16cb-aed8-4085-a9bf-924389430c8e" xlink:to="loc_us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax_07511080-1af2-431c-a7a3-2783fd51ca11" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesAndStockholdersEquity_14a52c96-5082-4587-a611-7f9a67cb2db1" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_LiabilitiesAndStockholdersEquity"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesCurrent_8f633811-45d7-4e03-8861-a2920431b4b8" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_LiabilitiesCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_14a52c96-5082-4587-a611-7f9a67cb2db1" xlink:to="loc_us-gaap_LiabilitiesCurrent_8f633811-45d7-4e03-8861-a2920431b4b8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesNoncurrent_20e46d37-5ed8-48f2-b0a9-3003cda5ef61" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_LiabilitiesNoncurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_14a52c96-5082-4587-a611-7f9a67cb2db1" xlink:to="loc_us-gaap_LiabilitiesNoncurrent_20e46d37-5ed8-48f2-b0a9-3003cda5ef61" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StockholdersEquity_fa2509c7-7ff8-4703-8841-6baadb90183b" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_StockholdersEquity"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_14a52c96-5082-4587-a611-7f9a67cb2db1" xlink:to="loc_us-gaap_StockholdersEquity_fa2509c7-7ff8-4703-8841-6baadb90183b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Assets_b14a347f-d695-40a7-9020-3e91fa8f1556" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_Assets"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseRightOfUseAsset_908a9732-ede5-435f-8c8b-cb92559e05dc" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OperatingLeaseRightOfUseAsset"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b14a347f-d695-40a7-9020-3e91fa8f1556" xlink:to="loc_us-gaap_OperatingLeaseRightOfUseAsset_908a9732-ede5-435f-8c8b-cb92559e05dc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PropertyPlantAndEquipmentNet_0f1f404d-dded-453e-8462-b071c69ff968" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_PropertyPlantAndEquipmentNet"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b14a347f-d695-40a7-9020-3e91fa8f1556" xlink:to="loc_us-gaap_PropertyPlantAndEquipmentNet_0f1f404d-dded-453e-8462-b071c69ff968" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Goodwill_f2f6d78f-043c-4155-a145-f06a9b4cddfc" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_Goodwill"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b14a347f-d695-40a7-9020-3e91fa8f1556" xlink:to="loc_us-gaap_Goodwill_f2f6d78f-043c-4155-a145-f06a9b4cddfc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IntangibleAssetsNetExcludingGoodwill_39c2a58f-2e87-40f0-860b-21cd7fffaac1" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_IntangibleAssetsNetExcludingGoodwill"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b14a347f-d695-40a7-9020-3e91fa8f1556" xlink:to="loc_us-gaap_IntangibleAssetsNetExcludingGoodwill_39c2a58f-2e87-40f0-860b-21cd7fffaac1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherAssetsNoncurrent_a4e99f18-4b91-457b-8732-882f2e24f38b" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OtherAssetsNoncurrent"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b14a347f-d695-40a7-9020-3e91fa8f1556" xlink:to="loc_us-gaap_OtherAssetsNoncurrent_a4e99f18-4b91-457b-8732-882f2e24f38b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AssetsCurrent_4a520ac0-45c9-4be5-a88c-72c896ec2fc4" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_AssetsCurrent"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b14a347f-d695-40a7-9020-3e91fa8f1556" xlink:to="loc_us-gaap_AssetsCurrent_4a520ac0-45c9-4be5-a88c-72c896ec2fc4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesCurrent_ab8318f8-8951-4fb2-945b-5b5d699c583d" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_LiabilitiesCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccountsPayableTradeCurrent_f5921c22-5ac5-4361-a2bb-f9d7a7822da1" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_AccountsPayableTradeCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_ab8318f8-8951-4fb2-945b-5b5d699c583d" xlink:to="loc_us-gaap_AccountsPayableTradeCurrent_f5921c22-5ac5-4361-a2bb-f9d7a7822da1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_EmployeeRelatedLiabilitiesCurrent_136006a3-ce88-454e-acd9-dd0afbb6c3d8" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_EmployeeRelatedLiabilitiesCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_ab8318f8-8951-4fb2-945b-5b5d699c583d" xlink:to="loc_us-gaap_EmployeeRelatedLiabilitiesCurrent_136006a3-ce88-454e-acd9-dd0afbb6c3d8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccruedAdvertisingCurrent_b3cea36a-c624-4a1b-9d24-084e39572dbd" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_AccruedAdvertisingCurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_ab8318f8-8951-4fb2-945b-5b5d699c583d" xlink:to="loc_us-gaap_AccruedAdvertisingCurrent_b3cea36a-c624-4a1b-9d24-084e39572dbd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherAccruedLiabilitiesCurrent_cece8a96-eb1d-4aff-9283-20d404ae756a" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OtherAccruedLiabilitiesCurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_ab8318f8-8951-4fb2-945b-5b5d699c583d" xlink:to="loc_us-gaap_OtherAccruedLiabilitiesCurrent_cece8a96-eb1d-4aff-9283-20d404ae756a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccruedIncomeTaxesCurrent_7771a825-f04b-4cc4-bb9d-b79483a32b58" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_AccruedIncomeTaxesCurrent"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_ab8318f8-8951-4fb2-945b-5b5d699c583d" xlink:to="loc_us-gaap_AccruedIncomeTaxesCurrent_7771a825-f04b-4cc4-bb9d-b79483a32b58" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LongTermDebtCurrent_da282f5a-f62a-47ac-89ee-2b8c1ce83047" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_LongTermDebtCurrent"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_ab8318f8-8951-4fb2-945b-5b5d699c583d" xlink:to="loc_us-gaap_LongTermDebtCurrent_da282f5a-f62a-47ac-89ee-2b8c1ce83047" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_cdw_AccountsPayableInventoryFinancing_ea29f321-d2ab-434b-b239-f5b2ad04895a" xlink:href="cdw-20210630.xsd#cdw_AccountsPayableInventoryFinancing"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_ab8318f8-8951-4fb2-945b-5b5d699c583d" xlink:to="loc_cdw_AccountsPayableInventoryFinancing_ea29f321-d2ab-434b-b239-f5b2ad04895a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ContractWithCustomerLiabilityCurrent_4d69a609-f019-4c01-a48b-9ca2d83d20e4" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_ContractWithCustomerLiabilityCurrent"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_ab8318f8-8951-4fb2-945b-5b5d699c583d" xlink:to="loc_us-gaap_ContractWithCustomerLiabilityCurrent_4d69a609-f019-4c01-a48b-9ca2d83d20e4" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.cdw.com/role/ConsolidatedStatementsOfOperationsUnaudited" xlink:type="simple" xlink:href="cdw-20210630.xsd#ConsolidatedStatementsOfOperationsUnaudited"/>
  <link:calculationLink xlink:role="http://www.cdw.com/role/ConsolidatedStatementsOfOperationsUnaudited" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLoss_19a7a003-916d-4ee8-ad40-f20283af664e" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_NetIncomeLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_e585b010-ae7f-451f-8995-e899006072d2" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss_19a7a003-916d-4ee8-ad40-f20283af664e" xlink:to="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_e585b010-ae7f-451f-8995-e899006072d2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeTaxExpenseBenefit_9d9604e9-f120-4878-beec-0da717c33a28" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_IncomeTaxExpenseBenefit"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss_19a7a003-916d-4ee8-ad40-f20283af664e" xlink:to="loc_us-gaap_IncomeTaxExpenseBenefit_9d9604e9-f120-4878-beec-0da717c33a28" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_27141b76-7f4c-4aa7-a686-7c9f6347e49d" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingIncomeLoss_a5bf231c-6a8e-4154-8377-5f22e2074200" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OperatingIncomeLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_27141b76-7f4c-4aa7-a686-7c9f6347e49d" xlink:to="loc_us-gaap_OperatingIncomeLoss_a5bf231c-6a8e-4154-8377-5f22e2074200" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InterestIncomeExpenseNet_d0a339a2-286f-4883-84e3-79bbcef8af81" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_InterestIncomeExpenseNet"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_27141b76-7f4c-4aa7-a686-7c9f6347e49d" xlink:to="loc_us-gaap_InterestIncomeExpenseNet_d0a339a2-286f-4883-84e3-79bbcef8af81" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherNonoperatingIncomeExpense_18ee2921-fbde-4c11-98f5-fd5a1246b4e3" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OtherNonoperatingIncomeExpense"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_27141b76-7f4c-4aa7-a686-7c9f6347e49d" xlink:to="loc_us-gaap_OtherNonoperatingIncomeExpense_18ee2921-fbde-4c11-98f5-fd5a1246b4e3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GrossProfit_359f512b-aeb0-4169-875c-e47805b40219" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_GrossProfit"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CostOfGoodsAndServicesSold_fdecdc99-2571-467c-8293-5d0f0c2f2519" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_CostOfGoodsAndServicesSold"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_GrossProfit_359f512b-aeb0-4169-875c-e47805b40219" xlink:to="loc_us-gaap_CostOfGoodsAndServicesSold_fdecdc99-2571-467c-8293-5d0f0c2f2519" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax_b373beeb-fb77-4b62-9ff2-b10255e61a09" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_GrossProfit_359f512b-aeb0-4169-875c-e47805b40219" xlink:to="loc_us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax_b373beeb-fb77-4b62-9ff2-b10255e61a09" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingIncomeLoss_945e9c31-c5a7-4e75-a28d-52ebdc256589" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OperatingIncomeLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GrossProfit_2cfb525b-bd30-48eb-8f1b-324f8f05dad0" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_GrossProfit"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_945e9c31-c5a7-4e75-a28d-52ebdc256589" xlink:to="loc_us-gaap_GrossProfit_2cfb525b-bd30-48eb-8f1b-324f8f05dad0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_SellingGeneralAndAdministrativeExpense_e05dfb64-db3f-4c2f-86d3-cf124eeca193" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_SellingGeneralAndAdministrativeExpense"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_945e9c31-c5a7-4e75-a28d-52ebdc256589" xlink:to="loc_us-gaap_SellingGeneralAndAdministrativeExpense_e05dfb64-db3f-4c2f-86d3-cf124eeca193" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.cdw.com/role/ConsolidatedStatementsOfComprehensiveIncomeUnaudited" xlink:type="simple" xlink:href="cdw-20210630.xsd#ConsolidatedStatementsOfComprehensiveIncomeUnaudited"/>
  <link:calculationLink xlink:role="http://www.cdw.com/role/ConsolidatedStatementsOfComprehensiveIncomeUnaudited" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ComprehensiveIncomeNetOfTax_80178581-ed2d-44fa-9771-e4a4ed865e04" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_ComprehensiveIncomeNetOfTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLoss_4e15c209-a6d2-4b9d-a7eb-4dff89e8220e" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_NetIncomeLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ComprehensiveIncomeNetOfTax_80178581-ed2d-44fa-9771-e4a4ed865e04" xlink:to="loc_us-gaap_NetIncomeLoss_4e15c209-a6d2-4b9d-a7eb-4dff89e8220e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent_00d3966c-0b6c-4c03-95c8-f391370b093e" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ComprehensiveIncomeNetOfTax_80178581-ed2d-44fa-9771-e4a4ed865e04" xlink:to="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent_00d3966c-0b6c-4c03-95c8-f391370b093e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent_81311412-e6ef-46cc-b7ec-b77aea5e1455" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationAdjustmentNetOfTaxPortionAttributableToParent_8c7c5179-1f7d-497f-98af-f67656513092" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationAdjustmentNetOfTaxPortionAttributableToParent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent_81311412-e6ef-46cc-b7ec-b77aea5e1455" xlink:to="loc_us-gaap_OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationAdjustmentNetOfTaxPortionAttributableToParent_8c7c5179-1f7d-497f-98af-f67656513092" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossCashFlowHedgeGainLossBeforeReclassificationAfterTax_9f63424a-240f-4ede-b9c6-e8616c5427b0" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OtherComprehensiveIncomeLossCashFlowHedgeGainLossBeforeReclassificationAfterTax"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent_81311412-e6ef-46cc-b7ec-b77aea5e1455" xlink:to="loc_us-gaap_OtherComprehensiveIncomeLossCashFlowHedgeGainLossBeforeReclassificationAfterTax_9f63424a-240f-4ede-b9c6-e8616c5427b0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossCashFlowHedgeGainLossReclassificationAfterTax_cc45ba1f-1c99-47aa-8a35-9b38677c9772" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OtherComprehensiveIncomeLossCashFlowHedgeGainLossReclassificationAfterTax"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent_81311412-e6ef-46cc-b7ec-b77aea5e1455" xlink:to="loc_us-gaap_OtherComprehensiveIncomeLossCashFlowHedgeGainLossReclassificationAfterTax_cc45ba1f-1c99-47aa-8a35-9b38677c9772" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.cdw.com/role/ConsolidatedStatementsofCashFlowsUnaudited" xlink:type="simple" xlink:href="cdw-20210630.xsd#ConsolidatedStatementsofCashFlowsUnaudited"/>
  <link:calculationLink xlink:role="http://www.cdw.com/role/ConsolidatedStatementsofCashFlowsUnaudited" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_8809e2d0-f2f3-459a-ae01-9e910be28cf9" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_e2d95c6d-2837-4996-8f99-a7fed41d833d" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_8809e2d0-f2f3-459a-ae01-9e910be28cf9" xlink:to="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_e2d95c6d-2837-4996-8f99-a7fed41d833d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents_884c88cb-06af-4066-a57f-93e0bdaba19d" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_8809e2d0-f2f3-459a-ae01-9e910be28cf9" xlink:to="loc_us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents_884c88cb-06af-4066-a57f-93e0bdaba19d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_a3428306-d936-4ee5-ba6b-c5d3d22915fe" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_8809e2d0-f2f3-459a-ae01-9e910be28cf9" xlink:to="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_a3428306-d936-4ee5-ba6b-c5d3d22915fe" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_02852237-8338-44b8-896c-0ac36a22de54" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_8809e2d0-f2f3-459a-ae01-9e910be28cf9" xlink:to="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_02852237-8338-44b8-896c-0ac36a22de54" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_dc973465-7097-4108-93eb-adccfd138be7" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromLinesOfCredit_32a3f16c-7cf1-4345-8be8-c180056cf960" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_ProceedsFromLinesOfCredit"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_dc973465-7097-4108-93eb-adccfd138be7" xlink:to="loc_us-gaap_ProceedsFromLinesOfCredit_32a3f16c-7cf1-4345-8be8-c180056cf960" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RepaymentsOfLinesOfCredit_ffd5639e-785d-4b69-960e-ac29467148a6" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_RepaymentsOfLinesOfCredit"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_dc973465-7097-4108-93eb-adccfd138be7" xlink:to="loc_us-gaap_RepaymentsOfLinesOfCredit_ffd5639e-785d-4b69-960e-ac29467148a6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_cdw_NetChangeInAccountsPayableInventoryFinancing_b99feaa8-3a00-4247-b88f-4c7bef7db901" xlink:href="cdw-20210630.xsd#cdw_NetChangeInAccountsPayableInventoryFinancing"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_dc973465-7097-4108-93eb-adccfd138be7" xlink:to="loc_cdw_NetChangeInAccountsPayableInventoryFinancing_b99feaa8-3a00-4247-b88f-4c7bef7db901" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsForRepurchaseOfCommonStock_0633670f-72f9-46cd-9b97-224f20ba5744" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_PaymentsForRepurchaseOfCommonStock"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_dc973465-7097-4108-93eb-adccfd138be7" xlink:to="loc_us-gaap_PaymentsForRepurchaseOfCommonStock_0633670f-72f9-46cd-9b97-224f20ba5744" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsRelatedToTaxWithholdingForShareBasedCompensation_5fa54352-898f-4245-a87b-40cd36978bbf" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_PaymentsRelatedToTaxWithholdingForShareBasedCompensation"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_dc973465-7097-4108-93eb-adccfd138be7" xlink:to="loc_us-gaap_PaymentsRelatedToTaxWithholdingForShareBasedCompensation_5fa54352-898f-4245-a87b-40cd36978bbf" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsOfDividendsCommonStock_e8dffbf9-16ff-48e5-929f-a1962454f01b" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_PaymentsOfDividendsCommonStock"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_dc973465-7097-4108-93eb-adccfd138be7" xlink:to="loc_us-gaap_PaymentsOfDividendsCommonStock_e8dffbf9-16ff-48e5-929f-a1962454f01b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromPaymentsForOtherFinancingActivities_8309cc43-6ace-45e4-8947-4370f2903971" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_ProceedsFromPaymentsForOtherFinancingActivities"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_dc973465-7097-4108-93eb-adccfd138be7" xlink:to="loc_us-gaap_ProceedsFromPaymentsForOtherFinancingActivities_8309cc43-6ace-45e4-8947-4370f2903971" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsOfDebtExtinguishmentCosts_7a6089a4-e137-423e-9266-03c51d56e018" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_PaymentsOfDebtExtinguishmentCosts"/>
    <link:calculationArc order="8" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_dc973465-7097-4108-93eb-adccfd138be7" xlink:to="loc_us-gaap_PaymentsOfDebtExtinguishmentCosts_7a6089a4-e137-423e-9266-03c51d56e018" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RepaymentsOfLongTermDebt_591ead06-44c3-47f5-a837-cd6c3461b6de" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_RepaymentsOfLongTermDebt"/>
    <link:calculationArc order="9" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_dc973465-7097-4108-93eb-adccfd138be7" xlink:to="loc_us-gaap_RepaymentsOfLongTermDebt_591ead06-44c3-47f5-a837-cd6c3461b6de" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromStockOptionsExercised_e6643ba0-5573-47f5-8aa6-0aa4d7572826" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_ProceedsFromStockOptionsExercised"/>
    <link:calculationArc order="10" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_dc973465-7097-4108-93eb-adccfd138be7" xlink:to="loc_us-gaap_ProceedsFromStockOptionsExercised_e6643ba0-5573-47f5-8aa6-0aa4d7572826" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromIssuanceOfLongTermDebt_9a151d45-ea82-4e62-b858-18c5402c8ec7" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_ProceedsFromIssuanceOfLongTermDebt"/>
    <link:calculationArc order="11" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_dc973465-7097-4108-93eb-adccfd138be7" xlink:to="loc_us-gaap_ProceedsFromIssuanceOfLongTermDebt_9a151d45-ea82-4e62-b858-18c5402c8ec7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c388e956-3f54-47b9-9d14-d3200308aba8" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLoss_44afbec8-84a7-4410-82dc-cbada699e3ec" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_NetIncomeLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c388e956-3f54-47b9-9d14-d3200308aba8" xlink:to="loc_us-gaap_NetIncomeLoss_44afbec8-84a7-4410-82dc-cbada699e3ec" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DepreciationAmortizationAndAccretionNet_b312f112-a183-4278-b3bf-2b22609a5360" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_DepreciationAmortizationAndAccretionNet"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c388e956-3f54-47b9-9d14-d3200308aba8" xlink:to="loc_us-gaap_DepreciationAmortizationAndAccretionNet_b312f112-a183-4278-b3bf-2b22609a5360" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AllocatedShareBasedCompensationExpense_55846232-7d50-4c85-baea-dc9d3dc1d8ae" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_AllocatedShareBasedCompensationExpense"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c388e956-3f54-47b9-9d14-d3200308aba8" xlink:to="loc_us-gaap_AllocatedShareBasedCompensationExpense_55846232-7d50-4c85-baea-dc9d3dc1d8ae" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInDeferredIncomeTaxes_4f4ea9e2-6841-437a-80f3-994695c9226a" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_IncreaseDecreaseInDeferredIncomeTaxes"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c388e956-3f54-47b9-9d14-d3200308aba8" xlink:to="loc_us-gaap_IncreaseDecreaseInDeferredIncomeTaxes_4f4ea9e2-6841-437a-80f3-994695c9226a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProvisionForDoubtfulAccounts_b4ab4bcd-8053-44b6-b835-2c60eed6229e" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_ProvisionForDoubtfulAccounts"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c388e956-3f54-47b9-9d14-d3200308aba8" xlink:to="loc_us-gaap_ProvisionForDoubtfulAccounts_b4ab4bcd-8053-44b6-b835-2c60eed6229e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherOperatingActivitiesCashFlowStatement_393b7612-c9de-4212-a0b0-cc745a7d9d68" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_OtherOperatingActivitiesCashFlowStatement"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c388e956-3f54-47b9-9d14-d3200308aba8" xlink:to="loc_us-gaap_OtherOperatingActivitiesCashFlowStatement_393b7612-c9de-4212-a0b0-cc745a7d9d68" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInAccountsReceivable_ada5827a-944a-4c1a-99a5-0635d044c2b8" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_IncreaseDecreaseInAccountsReceivable"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c388e956-3f54-47b9-9d14-d3200308aba8" xlink:to="loc_us-gaap_IncreaseDecreaseInAccountsReceivable_ada5827a-944a-4c1a-99a5-0635d044c2b8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInInventories_7352fe2f-37b3-40dd-bfd1-c75e7242e1fb" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_IncreaseDecreaseInInventories"/>
    <link:calculationArc order="8" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c388e956-3f54-47b9-9d14-d3200308aba8" xlink:to="loc_us-gaap_IncreaseDecreaseInInventories_7352fe2f-37b3-40dd-bfd1-c75e7242e1fb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInOtherOperatingAssets_0e3b83c8-33dc-42a9-a3d2-77c0fa61b89e" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_IncreaseDecreaseInOtherOperatingAssets"/>
    <link:calculationArc order="9" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c388e956-3f54-47b9-9d14-d3200308aba8" xlink:to="loc_us-gaap_IncreaseDecreaseInOtherOperatingAssets_0e3b83c8-33dc-42a9-a3d2-77c0fa61b89e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInAccountsPayableTrade_3df9734c-595a-4ea9-849e-d1657bbc87d5" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_IncreaseDecreaseInAccountsPayableTrade"/>
    <link:calculationArc order="10" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c388e956-3f54-47b9-9d14-d3200308aba8" xlink:to="loc_us-gaap_IncreaseDecreaseInAccountsPayableTrade_3df9734c-595a-4ea9-849e-d1657bbc87d5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInOtherOperatingLiabilities_c52ab431-4be1-4b6c-838d-895e41af57eb" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_IncreaseDecreaseInOtherOperatingLiabilities"/>
    <link:calculationArc order="11" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c388e956-3f54-47b9-9d14-d3200308aba8" xlink:to="loc_us-gaap_IncreaseDecreaseInOtherOperatingLiabilities_c52ab431-4be1-4b6c-838d-895e41af57eb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_d6d23072-21b0-4fe2-9156-d3a5265c8453" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsToAcquirePropertyPlantAndEquipment_264b1429-dd0a-4511-8b56-53011a9c6252" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_PaymentsToAcquirePropertyPlantAndEquipment"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_d6d23072-21b0-4fe2-9156-d3a5265c8453" xlink:to="loc_us-gaap_PaymentsToAcquirePropertyPlantAndEquipment_264b1429-dd0a-4511-8b56-53011a9c6252" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsToAcquireBusinessesNetOfCashAcquired_57d30ab4-72b0-47eb-8e08-147663517fac" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_PaymentsToAcquireBusinessesNetOfCashAcquired"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_d6d23072-21b0-4fe2-9156-d3a5265c8453" xlink:to="loc_us-gaap_PaymentsToAcquireBusinessesNetOfCashAcquired_57d30ab4-72b0-47eb-8e08-147663517fac" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromSaleOfEquityMethodInvestments_e5977dfb-ab55-46fd-9e42-2663640c7161" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_ProceedsFromSaleOfEquityMethodInvestments"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_d6d23072-21b0-4fe2-9156-d3a5265c8453" xlink:to="loc_us-gaap_ProceedsFromSaleOfEquityMethodInvestments_e5977dfb-ab55-46fd-9e42-2663640c7161" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.cdw.com/role/InventoryFinancingAgreementsDetails" xlink:type="simple" xlink:href="cdw-20210630.xsd#InventoryFinancingAgreementsDetails"/>
  <link:calculationLink xlink:role="http://www.cdw.com/role/InventoryFinancingAgreementsDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_cdw_AccountsPayableInventoryFinancing_7648fd97-544a-4bc0-8a2f-1c7c954370f2" xlink:href="cdw-20210630.xsd#cdw_AccountsPayableInventoryFinancing"/>
    <link:loc xlink:type="locator" xlink:label="loc_cdw_RevolvingLoanFinancingAgreement_2036ba20-319b-4fb3-bdac-cffa1c8692a4" xlink:href="cdw-20210630.xsd#cdw_RevolvingLoanFinancingAgreement"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_cdw_AccountsPayableInventoryFinancing_7648fd97-544a-4bc0-8a2f-1c7c954370f2" xlink:to="loc_cdw_RevolvingLoanFinancingAgreement_2036ba20-319b-4fb3-bdac-cffa1c8692a4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_cdw_OtherInventoryFinancingAgreements_fc9620d1-4a44-4a93-8c57-31d7dcaa7d40" xlink:href="cdw-20210630.xsd#cdw_OtherInventoryFinancingAgreements"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_cdw_AccountsPayableInventoryFinancing_7648fd97-544a-4bc0-8a2f-1c7c954370f2" xlink:to="loc_cdw_OtherInventoryFinancingAgreements_fc9620d1-4a44-4a93-8c57-31d7dcaa7d40" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.cdw.com/role/EarningsperShareDetails" xlink:type="simple" xlink:href="cdw-20210630.xsd#EarningsperShareDetails"/>
  <link:calculationLink xlink:role="http://www.cdw.com/role/EarningsperShareDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_808002ee-5f64-4e53-84b2-815d5f554f02" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_WeightedAverageNumberOfSharesOutstandingBasic_fa04edb5-5d40-4d5b-8840-014af114ad4f" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_WeightedAverageNumberOfSharesOutstandingBasic"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_808002ee-5f64-4e53-84b2-815d5f554f02" xlink:to="loc_us-gaap_WeightedAverageNumberOfSharesOutstandingBasic_fa04edb5-5d40-4d5b-8840-014af114ad4f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment_d8323b51-7aab-4df4-88e9-b2e96d3fb6bf" xlink:href="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd#us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_808002ee-5f64-4e53-84b2-815d5f554f02" xlink:to="loc_us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment_d8323b51-7aab-4df4-88e9-b2e96d3fb6bf" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
